# hwloc_obj_attr_u::hwloc_machine_attr_s Struct Reference

Machine-specific Object Attributes. More...

`#include <hwloc.h>`

## Data Fields

char * | dmi_board_vendor
| DMI board vendor name.
char * | dmi_board_name
| DMI board model name.

## Detailed Description

Machine-specific Object Attributes.

## Field Documentation

char* hwloc_obj_attr_u::hwloc_machine_attr_s::dmi_board_name

DMI board model name.

char* hwloc_obj_attr_u::hwloc_machine_attr_s::dmi_board_vendor

DMI board vendor name.

The documentation for this struct was generated from the following file:

- hwloc.h